Index: branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js
===================================================================
--- branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js	(revision 9579)
+++ branches/OaaS/HeuristicLab.Services.Optimization.Web/Scripts/jquery-1.5.1-vsdoc.js	(revision 9582)
@@ -9008,83 +4192,2370 @@
 			);
 
-		// Get or set width or height on the element
-		} else if ( size === undefined ) {
-			var orig = jQuery.css( elem, type ),
-				ret = parseFloat( orig );
-
-			return jQuery.isNaN( ret ) ? orig : ret;
-
-		// Set the width or height on the element (default to pixels if value is unitless)
-		} else {
-			return this.css( type, typeof size === "string" ? size : size + "px" );
-		}
-	};
-
-});
-
-// Create innerHeight, innerWidth, outerHeight and outerWidth methods
-jQuery.each([ "Width" ], function( i, name ) {
-
-	var type = name.toLowerCase();
-
-	// innerHeight and innerWidth
-	jQuery.fn["inner" + name] = function() {
-		///	<summary>
-		///     &#10;Gets the inner width of the first matched element, excluding border but including padding.
-		///	</summary>
-		///	<returns type="Number" integer="true">The outer width of the first matched element.</returns>
-
-		return this[0] ?
-			parseFloat( jQuery.css( this[0], type, "padding" ) ) :
+            // Get or set width or height on the element
+        } else if (size === undefined) {
+            var orig = jQuery.css(elem, type),
+				ret = parseFloat(orig);
+
+            return jQuery.isNaN(ret) ? orig : ret;
+
+            // Set the width or height on the element (default to pixels if value is unitless)
+        } else {
+            return this.css(type, typeof size === "string" ? size : size + "px");
+        }
+    };
+    jQuery.prototype.hide = function (speed, easing, callback) {
+        /// <summary>
+        ///     Hide the matched elements.
+        ///     &#10;1 - hide() 
+        ///     &#10;2 - hide(duration, callback) 
+        ///     &#10;3 - hide(duration, easing, callback)
+        /// </summary>
+        /// <param name="speed" type="Number">
+        ///     A string or number determining how long the animation will run.
+        /// </param>
+        /// <param name="easing" type="String">
+        ///     A string indicating which easing function to use for the transition.
+        /// </param>
+        /// <param name="callback" type="Function">
+        ///     A function to call once the animation is complete.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (speed || speed === 0) {
+            return this.animate(genFx("hide", 3), speed, easing, callback);
+
+        } else {
+            for (var i = 0, j = this.length; i < j; i++) {
+                var display = jQuery.css(this[i], "display");
+
+                if (display !== "none" && !jQuery._data(this[i], "olddisplay")) {
+                    jQuery._data(this[i], "olddisplay", display);
+                }
+            }
+
+            // Set the display of the elements in a second loop
+            // to avoid the constant reflow
+            for (i = 0; i < j; i++) {
+                this[i].style.display = "none";
+            }
+
+            return this;
+        }
+    };
+    jQuery.prototype.hover = function (fnOver, fnOut) {
+        /// <summary>
+        ///     1: Bind two handlers to the matched elements, to be executed when the mouse pointer enters and leaves the elements.
+        ///     &#10;    1.1 - hover(handlerIn(eventObject), handlerOut(eventObject))
+        ///     &#10;2: Bind a single handler to the matched elements, to be executed when the mouse pointer enters or leaves the elements.
+        ///     &#10;    2.1 - hover(handlerInOut(eventObject))
+        /// </summary>
+        /// <param name="fnOver" type="Function">
+        ///     A function to execute when the mouse pointer enters the element.
+        /// </param>
+        /// <param name="fnOut" type="Function">
+        ///     A function to execute when the mouse pointer leaves the element.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.mouseenter(fnOver).mouseleave(fnOut || fnOver);
+    };
+    jQuery.prototype.html = function (value) {
+        /// <summary>
+        ///     1: Get the HTML contents of the first element in the set of matched elements.
+        ///     &#10;    1.1 - html()
+        ///     &#10;2: Set the HTML contents of each element in the set of matched elements.
+        ///     &#10;    2.1 - html(htmlString) 
+        ///     &#10;    2.2 - html(function(index, oldhtml))
+        /// </summary>
+        /// <param name="value" type="String">
+        ///     A string of HTML to set as the content of each matched element.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (value === undefined) {
+            return this[0] && this[0].nodeType === 1 ?
+				this[0].innerHTML.replace(rinlinejQuery, "") :
+				null;
+
+            // See if we can take a shortcut and just use innerHTML
+        } else if (typeof value === "string" && !rnocache.test(value) &&
+			(jQuery.support.leadingWhitespace || !rleadingWhitespace.test(value)) &&
+			!wrapMap[(rtagName.exec(value) || ["", ""])[1].toLowerCase()]) {
+
+            value = value.replace(rxhtmlTag, "<$1></$2>");
+
+            try {
+                for (var i = 0, l = this.length; i < l; i++) {
+                    // Remove element nodes and prevent memory leaks
+                    if (this[i].nodeType === 1) {
+                        jQuery.cleanData(this[i].getElementsByTagName("*"));
+                        this[i].innerHTML = value;
+                    }
+                }
+
+                // If using innerHTML throws an exception, use the fallback method
+            } catch (e) {
+                this.empty().append(value);
+            }
+
+        } else if (jQuery.isFunction(value)) {
+            this.each(function (i) {
+                var self = jQuery(this);
+
+                self.html(value.call(this, i, self.html()));
+            });
+
+        } else {
+            this.empty().append(value);
+        }
+
+        return this;
+    };
+    jQuery.prototype.index = function (elem) {
+        /// <summary>
+        ///     Search for a given element from among the matched elements.
+        ///     &#10;1 - index() 
+        ///     &#10;2 - index(selector) 
+        ///     &#10;3 - index(element)
+        /// </summary>
+        /// <param name="elem" type="String">
+        ///     A selector representing a jQuery collection in which to look for an element.
+        /// </param>
+        /// <returns type="Number" />
+
+        if (!elem || typeof elem === "string") {
+            return jQuery.inArray(this[0],
+            // If it receives a string, the selector is used
+            // If it receives nothing, the siblings are used
+				elem ? jQuery(elem) : this.parent().children());
+        }
+        // Locate the position of the desired element
+        return jQuery.inArray(
+        // If it receives a jQuery object, the first element is used
+			elem.jquery ? elem[0] : elem, this);
+    };
+    jQuery.prototype.init = function (selector, context, rootjQuery) {
+
+        var match, elem, ret, doc;
+
+        // Handle $(""), $(null), or $(undefined)
+        if (!selector) {
+            return this;
+        }
+
+        // Handle $(DOMElement)
+        if (selector.nodeType) {
+            this.context = this[0] = selector;
+            this.length = 1;
+            return this;
+        }
+
+        // The body element only exists once, optimize finding it
+        if (selector === "body" && !context && document.body) {
+            this.context = document;
+            this[0] = document.body;
+            this.selector = "body";
+            this.length = 1;
+            return this;
+        }
+
+        // Handle HTML strings
+        if (typeof selector === "string") {
+            // Are we dealing with HTML string or an ID?
+            match = quickExpr.exec(selector);
+
+            // Verify a match, and that no context was specified for #id
+            if (match && (match[1] || !context)) {
+
+                // HANDLE: $(html) -> $(array)
+                if (match[1]) {
+                    context = context instanceof jQuery ? context[0] : context;
+                    doc = (context ? context.ownerDocument || context : document);
+
+                    // If a single string is passed in and it's a single tag
+                    // just do a createElement and skip the rest
+                    ret = rsingleTag.exec(selector);
+
+                    if (ret) {
+                        if (jQuery.isPlainObject(context)) {
+                            selector = [document.createElement(ret[1])];
+                            jQuery.fn.attr.call(selector, context, true);
+
+                        } else {
+                            selector = [doc.createElement(ret[1])];
+                        }
+
+                    } else {
+                        ret = jQuery.buildFragment([match[1]], [doc]);
+                        selector = (ret.cacheable ? jQuery.clone(ret.fragment) : ret.fragment).childNodes;
+                    }
+
+                    return jQuery.merge(this, selector);
+
+                    // HANDLE: $("#id")
+                } else {
+                    elem = document.getElementById(match[2]);
+
+                    // Check parentNode to catch when Blackberry 4.6 returns
+                    // nodes that are no longer in the document #6963
+                    if (elem && elem.parentNode) {
+                        // Handle the case where IE and Opera return items
+                        // by name instead of ID
+                        if (elem.id !== match[2]) {
+                            return rootjQuery.find(selector);
+                        }
+
+                        // Otherwise, we inject the element directly into the jQuery object
+                        this.length = 1;
+                        this[0] = elem;
+                    }
+
+                    this.context = document;
+                    this.selector = selector;
+                    return this;
+                }
+
+                // HANDLE: $(expr, $(...))
+            } else if (!context || context.jquery) {
+                return (context || rootjQuery).find(selector);
+
+                // HANDLE: $(expr, context)
+                // (which is just equivalent to: $(context).find(expr)
+            } else {
+                return this.constructor(context).find(selector);
+            }
+
+            // HANDLE: $(function)
+            // Shortcut for document ready
+        } else if (jQuery.isFunction(selector)) {
+            return rootjQuery.ready(selector);
+        }
+
+        if (selector.selector !== undefined) {
+            this.selector = selector.selector;
+            this.context = selector.context;
+        }
+
+        return jQuery.makeArray(selector, this);
+    };
+    jQuery.prototype.innerHeight = function () {
+        /// <summary>
+        ///     Get the current computed height for the first element in the set of matched elements, including padding but not border.
+        /// </summary>
+        /// <returns type="Number" />
+
+        return this[0] ?
+			parseFloat(jQuery.css(this[0], type, "padding")) :
 			null;
-	};
-
-	// outerHeight and outerWidth
-	jQuery.fn["outer" + name] = function( margin ) {
-		///	<summary>
-		///     &#10;Gets the outer width of the first matched element, including border and padding by default.
-		///	</summary>
-		///	<param name="margin" type="Map">A set of key/value pairs that specify the options for the method.</param>
-		///	<returns type="Number" integer="true">The outer width of the first matched element.</returns>
-
-		return this[0] ?
-			parseFloat( jQuery.css( this[0], type, margin ? "margin" : "border" ) ) :
+    };
+    jQuery.prototype.innerWidth = function () {
+        /// <summary>
+        ///     Get the current computed width for the first element in the set of matched elements, including padding but not border.
+        /// </summary>
+        /// <returns type="Number" />
+
+        return this[0] ?
+			parseFloat(jQuery.css(this[0], type, "padding")) :
 			null;
-	};
-
-	jQuery.fn[ type ] = function( size ) {
-		///	<summary>
-		///     &#10;Set the CSS width of every matched element. If no explicit unit
-		///     &#10;was specified (like 'em' or '%') then &quot;px&quot; is added to the width.  If no parameter is specified, it gets
-		///     &#10;the current computed pixel width of the first matched element.
-		///     &#10;Part of CSS
-		///	</summary>
-		///	<returns type="jQuery" type="jQuery" />
-		///	<param name="cssProperty" type="String">
-		///     &#10;Set the CSS property to the specified value. Omit to get the value of the first matched element.
-		///	</param>
-
-		// Get window width or height
-		var elem = this[0];
-		if ( !elem ) {
-			return size == null ? null : this;
-		}
-		
-		if ( jQuery.isFunction( size ) ) {
-			return this.each(function( i ) {
-				var self = jQuery( this );
-				self[ type ]( size.call( this, i, self[ type ]() ) );
-			});
-		}
-
-		if ( jQuery.isWindow( elem ) ) {
-			// Everyone else use document.documentElement or document.body depending on Quirks vs Standards mode
-			return elem.document.compatMode === "CSS1Compat" && elem.document.documentElement[ "client" + name ] ||
-				elem.document.body[ "client" + name ];
-
-		// Get document width or height
-		} else if ( elem.nodeType === 9 ) {
-			// Either scroll[Width/Height] or offset[Width/Height], whichever is greater
-			return Math.max(
+    };
+    jQuery.prototype.insertAfter = function (selector) {
+        /// <summary>
+        ///     Insert every element in the set of matched elements after the target.
+        /// </summary>
+        /// <param name="selector" type="jQuery">
+        ///     A selector, element, HTML string, or jQuery object; the matched set of elements will be inserted after the element(s) specified by this parameter.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = [],
+			insert = jQuery(selector),
+			parent = this.length === 1 && this[0].parentNode;
+
+        if (parent && parent.nodeType === 11 && parent.childNodes.length === 1 && insert.length === 1) {
+            insert[original](this[0]);
+            return this;
+
+        } else {
+            for (var i = 0, l = insert.length; i < l; i++) {
+                var elems = (i > 0 ? this.clone(true) : this).get();
+                jQuery(insert[i])[original](elems);
+                ret = ret.concat(elems);
+            }
+
+            return this.pushStack(ret, name, insert.selector);
+        }
+    };
+    jQuery.prototype.insertBefore = function (selector) {
+        /// <summary>
+        ///     Insert every element in the set of matched elements before the target.
+        /// </summary>
+        /// <param name="selector" type="jQuery">
+        ///     A selector, element, HTML string, or jQuery object; the matched set of elements will be inserted before the element(s) specified by this parameter.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = [],
+			insert = jQuery(selector),
+			parent = this.length === 1 && this[0].parentNode;
+
+        if (parent && parent.nodeType === 11 && parent.childNodes.length === 1 && insert.length === 1) {
+            insert[original](this[0]);
+            return this;
+
+        } else {
+            for (var i = 0, l = insert.length; i < l; i++) {
+                var elems = (i > 0 ? this.clone(true) : this).get();
+                jQuery(insert[i])[original](elems);
+                ret = ret.concat(elems);
+            }
+
+            return this.pushStack(ret, name, insert.selector);
+        }
+    };
+    jQuery.prototype.is = function (selector) {
+        /// <summary>
+        ///     Check the current matched set of elements against a selector and return true if at least one of these elements matches the selector.
+        /// </summary>
+        /// <param name="selector" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="Boolean" />
+
+        return !!selector && jQuery.filter(selector, this).length > 0;
+    };
+    jQuery.prototype.keydown = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "keydown" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - keydown(handler(eventObject)) 
+        ///     &#10;2 - keydown(eventData, handler(eventObject)) 
+        ///     &#10;3 - keydown()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.keypress = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "keypress" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - keypress(handler(eventObject)) 
+        ///     &#10;2 - keypress(eventData, handler(eventObject)) 
+        ///     &#10;3 - keypress()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.keyup = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "keyup" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - keyup(handler(eventObject)) 
+        ///     &#10;2 - keyup(eventData, handler(eventObject)) 
+        ///     &#10;3 - keyup()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.last = function () {
+        /// <summary>
+        ///     Reduce the set of matched elements to the final one in the set.
+        /// </summary>
+        /// <returns type="jQuery" />
+
+        return this.eq(-1);
+    };
+    jQuery.prototype.length = 0;
+    jQuery.prototype.live = function (types, data, fn, origSelector /* Internal Use Only */) {
+        /// <summary>
+        ///     Attach a handler to the event for all elements which match the current selector, now and in the future.
+        ///     &#10;1 - live(eventType, handler) 
+        ///     &#10;2 - live(eventType, eventData, handler) 
+        ///     &#10;3 - live(events)
+        /// </summary>
+        /// <param name="types" type="String">
+        ///     A string containing a JavaScript event type, such as "click" or "keydown." As of jQuery 1.4 the string can contain multiple, space-separated event types or custom event names, as well.
+        /// </param>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute at the time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var type, i = 0, match, namespaces, preType,
+			selector = origSelector || this.selector,
+			context = origSelector ? this : jQuery(this.context);
+
+        if (typeof types === "object" && !types.preventDefault) {
+            for (var key in types) {
+                context[name](key, data, types[key], selector);
+            }
+
+            return this;
+        }
+
+        if (jQuery.isFunction(data)) {
+            fn = data;
+            data = undefined;
+        }
+
+        types = (types || "").split(" ");
+
+        while ((type = types[i++]) != null) {
+            match = rnamespaces.exec(type);
+            namespaces = "";
+
+            if (match) {
+                namespaces = match[0];
+                type = type.replace(rnamespaces, "");
+            }
+
+            if (type === "hover") {
+                types.push("mouseenter" + namespaces, "mouseleave" + namespaces);
+                continue;
+            }
+
+            preType = type;
+
+            if (type === "focus" || type === "blur") {
+                types.push(liveMap[type] + namespaces);
+                type = type + namespaces;
+
+            } else {
+                type = (liveMap[type] || type) + namespaces;
+            }
+
+            if (name === "live") {
+                // bind live handler
+                for (var j = 0, l = context.length; j < l; j++) {
+                    jQuery.event.add(context[j], "live." + liveConvert(type, selector),
+						{ data: data, selector: selector, handler: fn, origType: type, origHandler: fn, preType: preType });
+                }
+
+            } else {
+                // unbind live handler
+                context.unbind("live." + liveConvert(type, selector), fn);
+            }
+        }
+
+        return this;
+    };
+    jQuery.prototype.load = function (url, params, callback) {
+        /// <summary>
+        ///     1: Bind an event handler to the "load" JavaScript event.
+        ///     &#10;    1.1 - load(handler(eventObject)) 
+        ///     &#10;    1.2 - load(eventData, handler(eventObject))
+        ///     &#10;2: Load data from the server and place the returned HTML into the matched element.
+        ///     &#10;    2.1 - load(url, data, complete(responseText, textStatus, XMLHttpRequest))
+        /// </summary>
+        /// <param name="url" type="String">
+        ///     A string containing the URL to which the request is sent.
+        /// </param>
+        /// <param name="params" type="String">
+        ///     A map or string that is sent to the server with the request.
+        /// </param>
+        /// <param name="callback" type="Function">
+        ///     A callback function that is executed when the request completes.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (typeof url !== "string" && _load) {
+            return _load.apply(this, arguments);
+
+            // Don't do a request if no elements are being requested
+        } else if (!this.length) {
+            return this;
+        }
+
+        var off = url.indexOf(" ");
+        if (off >= 0) {
+            var selector = url.slice(off, url.length);
+            url = url.slice(0, off);
+        }
+
+        // Default to a GET request
+        var type = "GET";
+
+        // If the second parameter was provided
+        if (params) {
+            // If it's a function
+            if (jQuery.isFunction(params)) {
+                // We assume that it's the callback
+                callback = params;
+                params = undefined;
+
+                // Otherwise, build a param string
+            } else if (typeof params === "object") {
+                params = jQuery.param(params, jQuery.ajaxSettings.traditional);
+                type = "POST";
+            }
+        }
+
+        var self = this;
+
+        // Request the remote document
+        jQuery.ajax({
+            url: url,
+            type: type,
+            dataType: "html",
+            data: params,
+            // Complete callback (responseText is used internally)
+            complete: function (jqXHR, status, responseText) {
+                // Store the response as specified by the jqXHR object
+                responseText = jqXHR.responseText;
+                // If successful, inject the HTML into all the matched elements
+                if (jqXHR.isResolved()) {
+                    // #4825: Get the actual response in case
+                    // a dataFilter is present in ajaxSettings
+                    jqXHR.done(function (r) {
+                        responseText = r;
+                    });
+                    // See if a selector was specified
+                    self.html(selector ?
+                    // Create a dummy div to hold the results
+						jQuery("<div>")
+                    // inject the contents of the document in, removing the scripts
+                    // to avoid any 'Permission Denied' errors in IE
+							.append(responseText.replace(rscript, ""))
+
+                    // Locate the specified elements
+							.find(selector) :
+
+                    // If not, just inject the full result
+						responseText);
+                }
+
+                if (callback) {
+                    self.each(callback, [responseText, status, jqXHR]);
+                }
+            }
+        });
+
+        return this;
+    };
+    jQuery.prototype.map = function (callback) {
+        /// <summary>
+        ///     Pass each element in the current matched set through a function, producing a new jQuery object containing the return values.
+        /// </summary>
+        /// <param name="callback" type="Function">
+        ///     A function object that will be invoked for each element in the current set.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.pushStack(jQuery.map(this, function (elem, i) {
+            return callback.call(elem, i, elem);
+        }));
+    };
+    jQuery.prototype.mousedown = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "mousedown" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - mousedown(handler(eventObject)) 
+        ///     &#10;2 - mousedown(eventData, handler(eventObject)) 
+        ///     &#10;3 - mousedown()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.mouseenter = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to be fired when the mouse enters an element, or trigger that handler on an element.
+        ///     &#10;1 - mouseenter(handler(eventObject)) 
+        ///     &#10;2 - mouseenter(eventData, handler(eventObject)) 
+        ///     &#10;3 - mouseenter()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.mouseleave = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to be fired when the mouse leaves an element, or trigger that handler on an element.
+        ///     &#10;1 - mouseleave(handler(eventObject)) 
+        ///     &#10;2 - mouseleave(eventData, handler(eventObject)) 
+        ///     &#10;3 - mouseleave()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.mousemove = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "mousemove" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - mousemove(handler(eventObject)) 
+        ///     &#10;2 - mousemove(eventData, handler(eventObject)) 
+        ///     &#10;3 - mousemove()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.mouseout = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "mouseout" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - mouseout(handler(eventObject)) 
+        ///     &#10;2 - mouseout(eventData, handler(eventObject)) 
+        ///     &#10;3 - mouseout()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.mouseover = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "mouseover" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - mouseover(handler(eventObject)) 
+        ///     &#10;2 - mouseover(eventData, handler(eventObject)) 
+        ///     &#10;3 - mouseover()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.mouseup = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "mouseup" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - mouseup(handler(eventObject)) 
+        ///     &#10;2 - mouseup(eventData, handler(eventObject)) 
+        ///     &#10;3 - mouseup()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.next = function (until, selector) {
+        /// <summary>
+        ///     Get the immediately following sibling of each element in the set of matched elements. If a selector is provided, it retrieves the next sibling only if it matches that selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.nextAll = function (until, selector) {
+        /// <summary>
+        ///     Get all following siblings of each element in the set of matched elements, optionally filtered by a selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.nextUntil = function (until, selector) {
+        /// <summary>
+        ///     Get all following siblings of each element up to but not including the element matched by the selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to indicate where to stop matching following sibling elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.not = function (selector) {
+        /// <summary>
+        ///     Remove elements from the set of matched elements.
+        ///     &#10;1 - not(selector) 
+        ///     &#10;2 - not(elements) 
+        ///     &#10;3 - not(function(index))
+        /// </summary>
+        /// <param name="selector" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.pushStack(winnow(this, selector, false), "not", selector);
+    };
+    jQuery.prototype.offset = function (options) {
+        /// <summary>
+        ///     1: Get the current coordinates of the first element in the set of matched elements, relative to the document.
+        ///     &#10;    1.1 - offset()
+        ///     &#10;2: Set the current coordinates of every element in the set of matched elements, relative to the document.
+        ///     &#10;    2.1 - offset(coordinates) 
+        ///     &#10;    2.2 - offset(function(index, coords))
+        /// </summary>
+        /// <param name="options" type="Object">
+        ///     An object containing the properties top and left, which are integers indicating the new top and left coordinates for the elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var elem = this[0], box;
+
+        if (options) {
+            return this.each(function (i) {
+                jQuery.offset.setOffset(this, options, i);
+            });
+        }
+
+        if (!elem || !elem.ownerDocument) {
+            return null;
+        }
+
+        if (elem === elem.ownerDocument.body) {
+            return jQuery.offset.bodyOffset(elem);
+        }
+
+        try {
+            box = elem.getBoundingClientRect();
+        } catch (e) { }
+
+        var doc = elem.ownerDocument,
+			docElem = doc.documentElement;
+
+        // Make sure we're not dealing with a disconnected DOM node
+        if (!box || !jQuery.contains(docElem, elem)) {
+            return box ? { top: box.top, left: box.left} : { top: 0, left: 0 };
+        }
+
+        var body = doc.body,
+			win = getWindow(doc),
+			clientTop = docElem.clientTop || body.clientTop || 0,
+			clientLeft = docElem.clientLeft || body.clientLeft || 0,
+			scrollTop = (win.pageYOffset || jQuery.support.boxModel && docElem.scrollTop || body.scrollTop),
+			scrollLeft = (win.pageXOffset || jQuery.support.boxModel && docElem.scrollLeft || body.scrollLeft),
+			top = box.top + scrollTop - clientTop,
+			left = box.left + scrollLeft - clientLeft;
+
+        return { top: top, left: left };
+    };
+    jQuery.prototype.offsetParent = function () {
+        /// <summary>
+        ///     Get the closest ancestor element that is positioned.
+        /// </summary>
+        /// <returns type="jQuery" />
+
+        return this.map(function () {
+            var offsetParent = this.offsetParent || document.body;
+            while (offsetParent && (!rroot.test(offsetParent.nodeName) && jQuery.css(offsetParent, "position") === "static")) {
+                offsetParent = offsetParent.offsetParent;
+            }
+            return offsetParent;
+        });
+    };
+    jQuery.prototype.one = function (type, data, fn) {
+        /// <summary>
+        ///     Attach a handler to an event for the elements. The handler is executed at most once per element.
+        /// </summary>
+        /// <param name="type" type="String">
+        ///     A string containing one or more JavaScript event types, such as "click" or "submit," or custom event names.
+        /// </param>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute at the time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        // Handle object literals
+        if (typeof type === "object") {
+            for (var key in type) {
+                this[name](key, data, type[key], fn);
+            }
+            return this;
+        }
+
+        if (jQuery.isFunction(data) || data === false) {
+            fn = data;
+            data = undefined;
+        }
+
+        var handler = name === "one" ? jQuery.proxy(fn, function (event) {
+            jQuery(this).unbind(event, handler);
+            return fn.apply(this, arguments);
+        }) : fn;
+
+        if (type === "unload" && name !== "one") {
+            this.one(type, data, fn);
+
+        } else {
+            for (var i = 0, l = this.length; i < l; i++) {
+                jQuery.event.add(this[i], type, handler, data);
+            }
+        }
+
+        return this;
+    };
+    jQuery.prototype.outerHeight = function (margin) {
+        /// <summary>
+        ///     Get the current computed height for the first element in the set of matched elements, including padding, border, and optionally margin.
+        /// </summary>
+        /// <param name="margin" type="Boolean">
+        ///     A Boolean indicating whether to include the element's margin in the calculation.
+        /// </param>
+        /// <returns type="Number" />
+
+        return this[0] ?
+			parseFloat(jQuery.css(this[0], type, margin ? "margin" : "border")) :
+			null;
+    };
+    jQuery.prototype.outerWidth = function (margin) {
+        /// <summary>
+        ///     Get the current computed width for the first element in the set of matched elements, including padding and border.
+        /// </summary>
+        /// <param name="margin" type="Boolean">
+        ///     A Boolean indicating whether to include the element's margin in the calculation.
+        /// </param>
+        /// <returns type="Number" />
+
+        return this[0] ?
+			parseFloat(jQuery.css(this[0], type, margin ? "margin" : "border")) :
+			null;
+    };
+    jQuery.prototype.parent = function (until, selector) {
+        /// <summary>
+        ///     Get the parent of each element in the current set of matched elements, optionally filtered by a selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.parents = function (until, selector) {
+        /// <summary>
+        ///     Get the ancestors of each element in the current set of matched elements, optionally filtered by a selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.parentsUntil = function (until, selector) {
+        /// <summary>
+        ///     Get the ancestors of each element in the current set of matched elements, up to but not including the element matched by the selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to indicate where to stop matching ancestor elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.position = function () {
+        /// <summary>
+        ///     Get the current coordinates of the first element in the set of matched elements, relative to the offset parent.
+        /// </summary>
+        /// <returns type="Object" />
+
+        if (!this[0]) {
+            return null;
+        }
+
+        var elem = this[0],
+
+        // Get *real* offsetParent
+		offsetParent = this.offsetParent(),
+
+        // Get correct offsets
+		offset = this.offset(),
+		parentOffset = rroot.test(offsetParent[0].nodeName) ? { top: 0, left: 0} : offsetParent.offset();
+
+        // Subtract element margins
+        // note: when an element has margin: auto the offsetLeft and marginLeft
+        // are the same in Safari causing offset.left to incorrectly be 0
+        offset.top -= parseFloat(jQuery.css(elem, "marginTop")) || 0;
+        offset.left -= parseFloat(jQuery.css(elem, "marginLeft")) || 0;
+
+        // Add offsetParent borders
+        parentOffset.top += parseFloat(jQuery.css(offsetParent[0], "borderTopWidth")) || 0;
+        parentOffset.left += parseFloat(jQuery.css(offsetParent[0], "borderLeftWidth")) || 0;
+
+        // Subtract the two offsets
+        return {
+            top: offset.top - parentOffset.top,
+            left: offset.left - parentOffset.left
+        };
+    };
+    jQuery.prototype.prepend = function () {
+        /// <summary>
+        ///     Insert content, specified by the parameter, to the beginning of each element in the set of matched elements.
+        ///     &#10;1 - prepend(content, content) 
+        ///     &#10;2 - prepend(function(index, html))
+        /// </summary>
+        /// <param name="" type="jQuery">
+        ///     DOM element, array of elements, HTML string, or jQuery object to insert at the beginning of each element in the set of matched elements.
+        /// </param>
+        /// <param name="" type="jQuery">
+        ///     One or more additional DOM elements, arrays of elements, HTML strings, or jQuery objects to insert at the beginning of each element in the set of matched elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.domManip(arguments, true, function (elem) {
+            if (this.nodeType === 1) {
+                this.insertBefore(elem, this.firstChild);
+            }
+        });
+    };
+    jQuery.prototype.prependTo = function (selector) {
+        /// <summary>
+        ///     Insert every element in the set of matched elements to the beginning of the target.
+        /// </summary>
+        /// <param name="selector" type="jQuery">
+        ///     A selector, element, HTML string, or jQuery object; the matched set of elements will be inserted at the beginning of the element(s) specified by this parameter.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = [],
+			insert = jQuery(selector),
+			parent = this.length === 1 && this[0].parentNode;
+
+        if (parent && parent.nodeType === 11 && parent.childNodes.length === 1 && insert.length === 1) {
+            insert[original](this[0]);
+            return this;
+
+        } else {
+            for (var i = 0, l = insert.length; i < l; i++) {
+                var elems = (i > 0 ? this.clone(true) : this).get();
+                jQuery(insert[i])[original](elems);
+                ret = ret.concat(elems);
+            }
+
+            return this.pushStack(ret, name, insert.selector);
+        }
+    };
+    jQuery.prototype.prev = function (until, selector) {
+        /// <summary>
+        ///     Get the immediately preceding sibling of each element in the set of matched elements, optionally filtered by a selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.prevAll = function (until, selector) {
+        /// <summary>
+        ///     Get all preceding siblings of each element in the set of matched elements, optionally filtered by a selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.prevUntil = function (until, selector) {
+        /// <summary>
+        ///     Get all preceding siblings of each element up to but not including the element matched by the selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to indicate where to stop matching preceding sibling elements.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.pushStack = function (elems, name, selector) {
+        /// <summary>
+        ///     Add a collection of DOM elements onto the jQuery stack.
+        ///     &#10;1 - pushStack(elements) 
+        ///     &#10;2 - pushStack(elements, name, arguments)
+        /// </summary>
+        /// <param name="elems" type="Array">
+        ///     An array of elements to push onto the stack and make into a new jQuery object.
+        /// </param>
+        /// <param name="name" type="String">
+        ///     The name of a jQuery method that generated the array of elements.
+        /// </param>
+        /// <param name="selector" type="Array">
+        ///     The arguments that were passed in to the jQuery method (for serialization).
+        /// </param>
+        /// <returns type="jQuery" />
+
+        // Build a new jQuery matched element set
+        var ret = this.constructor();
+
+        if (jQuery.isArray(elems)) {
+            push.apply(ret, elems);
+
+        } else {
+            jQuery.merge(ret, elems);
+        }
+
+        // Add the old object onto the stack (as a reference)
+        ret.prevObject = this;
+
+        ret.context = this.context;
+
+        if (name === "find") {
+            ret.selector = this.selector + (this.selector ? " " : "") + selector;
+        } else if (name) {
+            ret.selector = this.selector + "." + name + "(" + selector + ")";
+        }
+
+        // Return the newly-formed element set
+        return ret;
+    };
+    jQuery.prototype.queue = function (type, data) {
+        /// <summary>
+        ///     1: Show the queue of functions to be executed on the matched elements.
+        ///     &#10;    1.1 - queue(queueName)
+        ///     &#10;2: Manipulate the queue of functions to be executed on the matched elements.
+        ///     &#10;    2.1 - queue(queueName, newQueue) 
+        ///     &#10;    2.2 - queue(queueName, callback( next ))
+        /// </summary>
+        /// <param name="type" type="String">
+        ///     A string containing the name of the queue. Defaults to fx, the standard effects queue.
+        /// </param>
+        /// <param name="data" type="Array">
+        ///     An array of functions to replace the current queue contents.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (typeof type !== "string") {
+            data = type;
+            type = "fx";
+        }
+
+        if (data === undefined) {
+            return jQuery.queue(this[0], type);
+        }
+        return this.each(function (i) {
+            var queue = jQuery.queue(this, type, data);
+
+            if (type === "fx" && queue[0] !== "inprogress") {
+                jQuery.dequeue(this, type);
+            }
+        });
+    };
+    jQuery.prototype.ready = function (fn) {
+        /// <summary>
+        ///     Specify a function to execute when the DOM is fully loaded.
+        /// </summary>
+        /// <param name="fn" type="Function">
+        ///     A function to execute after the DOM is ready.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        // Attach the listeners
+        jQuery.bindReady();
+
+        // Add the callback
+        readyList.done(fn);
+
+        return this;
+    };
+    jQuery.prototype.remove = function (selector, keepData) {
+        /// <summary>
+        ///     Remove the set of matched elements from the DOM.
+        /// </summary>
+        /// <param name="selector" type="String">
+        ///     A selector expression that filters the set of matched elements to be removed.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        for (var i = 0, elem; (elem = this[i]) != null; i++) {
+            if (!selector || jQuery.filter(selector, [elem]).length) {
+                if (!keepData && elem.nodeType === 1) {
+                    jQuery.cleanData(elem.getElementsByTagName("*"));
+                    jQuery.cleanData([elem]);
+                }
+
+                if (elem.parentNode) {
+                    elem.parentNode.removeChild(elem);
+                }
+            }
+        }
+
+        return this;
+    };
+    jQuery.prototype.removeAttr = function (name, fn) {
+        /// <summary>
+        ///     Remove an attribute from each element in the set of matched elements.
+        /// </summary>
+        /// <param name="name" type="String">
+        ///     An attribute to remove.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.each(function () {
+            jQuery.attr(this, name, "");
+            if (this.nodeType === 1) {
+                this.removeAttribute(name);
+            }
+        });
+    };
+    jQuery.prototype.removeClass = function (value) {
+        /// <summary>
+        ///     Remove a single class, multiple classes, or all classes from each element in the set of matched elements.
+        ///     &#10;1 - removeClass(className) 
+        ///     &#10;2 - removeClass(function(index, class))
+        /// </summary>
+        /// <param name="value" type="String">
+        ///     A class name to be removed from the class attribute of each matched element.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (jQuery.isFunction(value)) {
+            return this.each(function (i) {
+                var self = jQuery(this);
+                self.removeClass(value.call(this, i, self.attr("class")));
+            });
+        }
+
+        if ((value && typeof value === "string") || value === undefined) {
+            var classNames = (value || "").split(rspaces);
+
+            for (var i = 0, l = this.length; i < l; i++) {
+                var elem = this[i];
+
+                if (elem.nodeType === 1 && elem.className) {
+                    if (value) {
+                        var className = (" " + elem.className + " ").replace(rclass, " ");
+                        for (var c = 0, cl = classNames.length; c < cl; c++) {
+                            className = className.replace(" " + classNames[c] + " ", " ");
+                        }
+                        elem.className = jQuery.trim(className);
+
+                    } else {
+                        elem.className = "";
+                    }
+                }
+            }
+        }
+
+        return this;
+    };
+    jQuery.prototype.removeData = function (key) {
+        /// <summary>
+        ///     Remove a previously-stored piece of data.
+        /// </summary>
+        /// <param name="key" type="String">
+        ///     A string naming the piece of data to delete.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.each(function () {
+            jQuery.removeData(this, key);
+        });
+    };
+    jQuery.prototype.replaceAll = function (selector) {
+        /// <summary>
+        ///     Replace each target element with the set of matched elements.
+        /// </summary>
+        /// <param name="selector" type="String">
+        ///     A selector expression indicating which element(s) to replace.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = [],
+			insert = jQuery(selector),
+			parent = this.length === 1 && this[0].parentNode;
+
+        if (parent && parent.nodeType === 11 && parent.childNodes.length === 1 && insert.length === 1) {
+            insert[original](this[0]);
+            return this;
+
+        } else {
+            for (var i = 0, l = insert.length; i < l; i++) {
+                var elems = (i > 0 ? this.clone(true) : this).get();
+                jQuery(insert[i])[original](elems);
+                ret = ret.concat(elems);
+            }
+
+            return this.pushStack(ret, name, insert.selector);
+        }
+    };
+    jQuery.prototype.replaceWith = function (value) {
+        /// <summary>
+        ///     Replace each element in the set of matched elements with the provided new content.
+        ///     &#10;1 - replaceWith(newContent) 
+        ///     &#10;2 - replaceWith(function)
+        /// </summary>
+        /// <param name="value" type="jQuery">
+        ///     The content to insert. May be an HTML string, DOM element, or jQuery object.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (this[0] && this[0].parentNode) {
+            // Make sure that the elements are removed from the DOM before they are inserted
+            // this can help fix replacing a parent with child elements
+            if (jQuery.isFunction(value)) {
+                return this.each(function (i) {
+                    var self = jQuery(this), old = self.html();
+                    self.replaceWith(value.call(this, i, old));
+                });
+            }
+
+            if (typeof value !== "string") {
+                value = jQuery(value).detach();
+            }
+
+            return this.each(function () {
+                var next = this.nextSibling,
+					parent = this.parentNode;
+
+                jQuery(this).remove();
+
+                if (next) {
+                    jQuery(next).before(value);
+                } else {
+                    jQuery(parent).append(value);
+                }
+            });
+        } else {
+            return this.pushStack(jQuery(jQuery.isFunction(value) ? value() : value), "replaceWith", value);
+        }
+    };
+    jQuery.prototype.resize = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "resize" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - resize(handler(eventObject)) 
+        ///     &#10;2 - resize(eventData, handler(eventObject)) 
+        ///     &#10;3 - resize()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.scroll = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "scroll" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - scroll(handler(eventObject)) 
+        ///     &#10;2 - scroll(eventData, handler(eventObject)) 
+        ///     &#10;3 - scroll()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.scrollLeft = function (val) {
+        /// <summary>
+        ///     1: Get the current horizontal position of the scroll bar for the first element in the set of matched elements.
+        ///     &#10;    1.1 - scrollLeft()
+        ///     &#10;2: Set the current horizontal position of the scroll bar for each of the set of matched elements.
+        ///     &#10;    2.1 - scrollLeft(value)
+        /// </summary>
+        /// <param name="val" type="Number">
+        ///     An integer indicating the new position to set the scroll bar to.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var elem = this[0], win;
+
+        if (!elem) {
+            return null;
+        }
+
+        if (val !== undefined) {
+            // Set the scroll offset
+            return this.each(function () {
+                win = getWindow(this);
+
+                if (win) {
+                    win.scrollTo(
+						!i ? val : jQuery(win).scrollLeft(),
+						i ? val : jQuery(win).scrollTop()
+					);
+
+                } else {
+                    this[method] = val;
+                }
+            });
+        } else {
+            win = getWindow(elem);
+
+            // Return the scroll offset
+            return win ? ("pageXOffset" in win) ? win[i ? "pageYOffset" : "pageXOffset"] :
+				jQuery.support.boxModel && win.document.documentElement[method] ||
+					win.document.body[method] :
+				elem[method];
+        }
+    };
+    jQuery.prototype.scrollTop = function (val) {
+        /// <summary>
+        ///     1: Get the current vertical position of the scroll bar for the first element in the set of matched elements.
+        ///     &#10;    1.1 - scrollTop()
+        ///     &#10;2: Set the current vertical position of the scroll bar for each of the set of matched elements.
+        ///     &#10;    2.1 - scrollTop(value)
+        /// </summary>
+        /// <param name="val" type="Number">
+        ///     An integer indicating the new position to set the scroll bar to.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var elem = this[0], win;
+
+        if (!elem) {
+            return null;
+        }
+
+        if (val !== undefined) {
+            // Set the scroll offset
+            return this.each(function () {
+                win = getWindow(this);
+
+                if (win) {
+                    win.scrollTo(
+						!i ? val : jQuery(win).scrollLeft(),
+						i ? val : jQuery(win).scrollTop()
+					);
+
+                } else {
+                    this[method] = val;
+                }
+            });
+        } else {
+            win = getWindow(elem);
+
+            // Return the scroll offset
+            return win ? ("pageXOffset" in win) ? win[i ? "pageYOffset" : "pageXOffset"] :
+				jQuery.support.boxModel && win.document.documentElement[method] ||
+					win.document.body[method] :
+				elem[method];
+        }
+    };
+    jQuery.prototype.select = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "select" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - select(handler(eventObject)) 
+        ///     &#10;2 - select(eventData, handler(eventObject)) 
+        ///     &#10;3 - select()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.serialize = function () {
+        /// <summary>
+        ///     Encode a set of form elements as a string for submission.
+        /// </summary>
+        /// <returns type="String" />
+
+        return jQuery.param(this.serializeArray());
+    };
+    jQuery.prototype.serializeArray = function () {
+        /// <summary>
+        ///     Encode a set of form elements as an array of names and values.
+        /// </summary>
+        /// <returns type="Array" />
+
+        return this.map(function () {
+            return this.elements ? jQuery.makeArray(this.elements) : this;
+        })
+		.filter(function () {
+		    return this.name && !this.disabled &&
+				(this.checked || rselectTextarea.test(this.nodeName) ||
+					rinput.test(this.type));
+		})
+		.map(function (i, elem) {
+		    var val = jQuery(this).val();
+
+		    return val == null ?
+				null :
+				jQuery.isArray(val) ?
+					jQuery.map(val, function (val, i) {
+					    return { name: elem.name, value: val.replace(rCRLF, "\r\n") };
+					}) :
+					{ name: elem.name, value: val.replace(rCRLF, "\r\n") };
+		}).get();
+    };
+    jQuery.prototype.show = function (speed, easing, callback) {
+        /// <summary>
+        ///     Display the matched elements.
+        ///     &#10;1 - show() 
+        ///     &#10;2 - show(duration, callback) 
+        ///     &#10;3 - show(duration, easing, callback)
+        /// </summary>
+        /// <param name="speed" type="Number">
+        ///     A string or number determining how long the animation will run.
+        /// </param>
+        /// <param name="easing" type="String">
+        ///     A string indicating which easing function to use for the transition.
+        /// </param>
+        /// <param name="callback" type="Function">
+        ///     A function to call once the animation is complete.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var elem, display;
+
+        if (speed || speed === 0) {
+            return this.animate(genFx("show", 3), speed, easing, callback);
+
+        } else {
+            for (var i = 0, j = this.length; i < j; i++) {
+                elem = this[i];
+                display = elem.style.display;
+
+                // Reset the inline display of this element to learn if it is
+                // being hidden by cascaded rules or not
+                if (!jQuery._data(elem, "olddisplay") && display === "none") {
+                    display = elem.style.display = "";
+                }
+
+                // Set elements which have been overridden with display: none
+                // in a stylesheet to whatever the default browser style is
+                // for such an element
+                if (display === "" && jQuery.css(elem, "display") === "none") {
+                    jQuery._data(elem, "olddisplay", defaultDisplay(elem.nodeName));
+                }
+            }
+
+            // Set the display of most of the elements in a second loop
+            // to avoid the constant reflow
+            for (i = 0; i < j; i++) {
+                elem = this[i];
+                display = elem.style.display;
+
+                if (display === "" || display === "none") {
+                    elem.style.display = jQuery._data(elem, "olddisplay") || "";
+                }
+            }
+
+            return this;
+        }
+    };
+    jQuery.prototype.siblings = function (until, selector) {
+        /// <summary>
+        ///     Get the siblings of each element in the set of matched elements, optionally filtered by a selector.
+        /// </summary>
+        /// <param name="until" type="String">
+        ///     A string containing a selector expression to match elements against.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var ret = jQuery.map(this, fn, until),
+        // The variable 'args' was introduced in
+        // https://github.com/jquery/jquery/commit/52a0238
+        // to work around a bug in Chrome 10 (Dev) and should be removed when the bug is fixed.
+        // http://code.google.com/p/v8/issues/detail?id=1050
+			args = slice.call(arguments);
+
+        if (!runtil.test(name)) {
+            selector = until;
+        }
+
+        if (selector && typeof selector === "string") {
+            ret = jQuery.filter(selector, ret);
+        }
+
+        ret = this.length > 1 && !guaranteedUnique[name] ? jQuery.unique(ret) : ret;
+
+        if ((this.length > 1 || rmultiselector.test(selector)) && rparentsprev.test(name)) {
+            ret = ret.reverse();
+        }
+
+        return this.pushStack(ret, name, args.join(","));
+    };
+    jQuery.prototype.size = function () {
+        /// <summary>
+        ///     Return the number of elements in the jQuery object.
+        /// </summary>
+        /// <returns type="Number" />
+
+        return this.length;
+    };
+    jQuery.prototype.slice = function () {
+        /// <summary>
+        ///     Reduce the set of matched elements to a subset specified by a range of indices.
+        /// </summary>
+        /// <param name="" type="Number">
+        ///     An integer indicating the 0-based position at which the elements begin to be selected. If negative, it indicates an offset from the end of the set.
+        /// </param>
+        /// <param name="" type="Number">
+        ///     An integer indicating the 0-based position at which the elements stop being selected. If negative, it indicates an offset from the end of the set. If omitted, the range continues until the end of the set.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.pushStack(slice.apply(this, arguments),
+			"slice", slice.call(arguments).join(","));
+    };
+    jQuery.prototype.slideDown = function (speed, easing, callback) {
+        /// <summary>
+        ///     Display the matched elements with a sliding motion.
+        ///     &#10;1 - slideDown(duration, callback) 
+        ///     &#10;2 - slideDown(duration, easing, callback)
+        /// </summary>
+        /// <param name="speed" type="Number">
+        ///     A string or number determining how long the animation will run.
+        /// </param>
+        /// <param name="easing" type="String">
+        ///     A string indicating which easing function to use for the transition.
+        /// </param>
+        /// <param name="callback" type="Function">
+        ///     A function to call once the animation is complete.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.animate(props, speed, easing, callback);
+    };
+    jQuery.prototype.slideToggle = function (speed, easing, callback) {
+        /// <summary>
+        ///     Display or hide the matched elements with a sliding motion.
+        ///     &#10;1 - slideToggle(duration, callback) 
+        ///     &#10;2 - slideToggle(duration, easing, callback)
+        /// </summary>
+        /// <param name="speed" type="Number">
+        ///     A string or number determining how long the animation will run.
+        /// </param>
+        /// <param name="easing" type="String">
+        ///     A string indicating which easing function to use for the transition.
+        /// </param>
+        /// <param name="callback" type="Function">
+        ///     A function to call once the animation is complete.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.animate(props, speed, easing, callback);
+    };
+    jQuery.prototype.slideUp = function (speed, easing, callback) {
+        /// <summary>
+        ///     Hide the matched elements with a sliding motion.
+        ///     &#10;1 - slideUp(duration, callback) 
+        ///     &#10;2 - slideUp(duration, easing, callback)
+        /// </summary>
+        /// <param name="speed" type="Number">
+        ///     A string or number determining how long the animation will run.
+        /// </param>
+        /// <param name="easing" type="String">
+        ///     A string indicating which easing function to use for the transition.
+        /// </param>
+        /// <param name="callback" type="Function">
+        ///     A function to call once the animation is complete.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.animate(props, speed, easing, callback);
+    };
+    jQuery.prototype.stop = function (clearQueue, gotoEnd) {
+        /// <summary>
+        ///     Stop the currently-running animation on the matched elements.
+        /// </summary>
+        /// <param name="clearQueue" type="Boolean">
+        ///     A Boolean indicating whether to remove queued animation as well. Defaults to false.
+        /// </param>
+        /// <param name="gotoEnd" type="Boolean">
+        ///     A Boolean indicating whether to complete the current animation immediately. Defaults to false.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var timers = jQuery.timers;
+
+        if (clearQueue) {
+            this.queue([]);
+        }
+
+        this.each(function () {
+            // go in reverse order so anything added to the queue during the loop is ignored
+            for (var i = timers.length - 1; i >= 0; i--) {
+                if (timers[i].elem === this) {
+                    if (gotoEnd) {
+                        // force the next step to be the last
+                        timers[i](true);
+                    }
+
+                    timers.splice(i, 1);
+                }
+            }
+        });
+
+        // start the next in the queue if the last step wasn't forced
+        if (!gotoEnd) {
+            this.dequeue();
+        }
+
+        return this;
+    };
+    jQuery.prototype.submit = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "submit" JavaScript event, or trigger that event on an element.
+        ///     &#10;1 - submit(handler(eventObject)) 
+        ///     &#10;2 - submit(eventData, handler(eventObject)) 
+        ///     &#10;3 - submit()
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.text = function (text) {
+        /// <summary>
+        ///     1: Get the combined text contents of each element in the set of matched elements, including their descendants.
+        ///     &#10;    1.1 - text()
+        ///     &#10;2: Set the content of each element in the set of matched elements to the specified text.
+        ///     &#10;    2.1 - text(textString) 
+        ///     &#10;    2.2 - text(function(index, text))
+        /// </summary>
+        /// <param name="text" type="String">
+        ///     A string of text to set as the content of each matched element.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (jQuery.isFunction(text)) {
+            return this.each(function (i) {
+                var self = jQuery(this);
+
+                self.text(text.call(this, i, self.text()));
+            });
+        }
+
+        if (typeof text !== "object" && text !== undefined) {
+            return this.empty().append((this[0] && this[0].ownerDocument || document).createTextNode(text));
+        }
+
+        return jQuery.text(this);
+    };
+    jQuery.prototype.toArray = function () {
+        /// <summary>
+        ///     Retrieve all the DOM elements contained in the jQuery set, as an array.
+        /// </summary>
+        /// <returns type="Array" />
+
+        return slice.call(this, 0);
+    };
+    jQuery.prototype.toggle = function (fn, fn2, callback) {
+        /// <summary>
+        ///     1: Bind two or more handlers to the matched elements, to be executed on alternate clicks.
+        ///     &#10;    1.1 - toggle(handler(eventObject), handler(eventObject), handler(eventObject))
+        ///     &#10;2: Display or hide the matched elements.
+        ///     &#10;    2.1 - toggle(duration, callback) 
+        ///     &#10;    2.2 - toggle(duration, easing, callback) 
+        ///     &#10;    2.3 - toggle(showOrHide)
+        /// </summary>
+        /// <param name="fn" type="Function">
+        ///     A function to execute every even time the element is clicked.
+        /// </param>
+        /// <param name="fn2" type="Function">
+        ///     A function to execute every odd time the element is clicked.
+        /// </param>
+        /// <param name="callback" type="Function">
+        ///     Additional handlers to cycle through after clicks.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var bool = typeof fn === "boolean";
+
+        if (jQuery.isFunction(fn) && jQuery.isFunction(fn2)) {
+            this._toggle.apply(this, arguments);
+
+        } else if (fn == null || bool) {
+            this.each(function () {
+                var state = bool ? fn : jQuery(this).is(":hidden");
+                jQuery(this)[state ? "show" : "hide"]();
+            });
+
+        } else {
+            this.animate(genFx("toggle", 3), fn, fn2, callback);
+        }
+
+        return this;
+    };
+    jQuery.prototype.toggleClass = function (value, stateVal) {
+        /// <summary>
+        ///     Add or remove one or more classes from each element in the set of matched elements, depending on either the class's presence or the value of the switch argument.
+        ///     &#10;1 - toggleClass(className) 
+        ///     &#10;2 - toggleClass(className, switch) 
+        ///     &#10;3 - toggleClass(function(index, class), switch)
+        /// </summary>
+        /// <param name="value" type="String">
+        ///     One or more class names (separated by spaces) to be toggled for each element in the matched set.
+        /// </param>
+        /// <param name="stateVal" type="Boolean">
+        ///     A boolean value to determine whether the class should be added or removed.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        var type = typeof value,
+			isBool = typeof stateVal === "boolean";
+
+        if (jQuery.isFunction(value)) {
+            return this.each(function (i) {
+                var self = jQuery(this);
+                self.toggleClass(value.call(this, i, self.attr("class"), stateVal), stateVal);
+            });
+        }
+
+        return this.each(function () {
+            if (type === "string") {
+                // toggle individual class names
+                var className,
+					i = 0,
+					self = jQuery(this),
+					state = stateVal,
+					classNames = value.split(rspaces);
+
+                while ((className = classNames[i++])) {
+                    // check each className given, space seperated list
+                    state = isBool ? state : !self.hasClass(className);
+                    self[state ? "addClass" : "removeClass"](className);
+                }
+
+            } else if (type === "undefined" || type === "boolean") {
+                if (this.className) {
+                    // store className if set
+                    jQuery._data(this, "__className__", this.className);
+                }
+
+                // toggle whole className
+                this.className = this.className || value === false ? "" : jQuery._data(this, "__className__") || "";
+            }
+        });
+    };
+    jQuery.prototype.trigger = function (type, data) {
+        /// <summary>
+        ///     Execute all handlers and behaviors attached to the matched elements for the given event type.
+        ///     &#10;1 - trigger(eventType, extraParameters) 
+        ///     &#10;2 - trigger(event)
+        /// </summary>
+        /// <param name="type" type="String">
+        ///     A string containing a JavaScript event type, such as click or submit.
+        /// </param>
+        /// <param name="data" type="Array">
+        ///     An array of additional parameters to pass along to the event handler.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        return this.each(function () {
+            jQuery.event.trigger(type, data, this);
+        });
+    };
+    jQuery.prototype.triggerHandler = function (type, data) {
+        /// <summary>
+        ///     Execute all handlers attached to an element for an event.
+        /// </summary>
+        /// <param name="type" type="String">
+        ///     A string containing a JavaScript event type, such as click or submit.
+        /// </param>
+        /// <param name="data" type="Array">
+        ///     An array of additional parameters to pass along to the event handler.
+        /// </param>
+        /// <returns type="Object" />
+
+        if (this[0]) {
+            var event = jQuery.Event(type);
+            event.preventDefault();
+            event.stopPropagation();
+            jQuery.event.trigger(event, data, this[0]);
+            return event.result;
+        }
+    };
+    jQuery.prototype.unbind = function (type, fn) {
+        /// <summary>
+        ///     Remove a previously-attached event handler from the elements.
+        ///     &#10;1 - unbind(eventType, handler(eventObject)) 
+        ///     &#10;2 - unbind(eventType, false) 
+        ///     &#10;3 - unbind(event)
+        /// </summary>
+        /// <param name="type" type="String">
+        ///     A string containing a JavaScript event type, such as click or submit.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     The function that is to be no longer executed.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        // Handle object literals
+        if (typeof type === "object" && !type.preventDefault) {
+            for (var key in type) {
+                this.unbind(key, type[key]);
+            }
+
+        } else {
+            for (var i = 0, l = this.length; i < l; i++) {
+                jQuery.event.remove(this[i], type, fn);
+            }
+        }
+
+        return this;
+    };
+    jQuery.prototype.undelegate = function (selector, types, fn) {
+        /// <summary>
+        ///     Remove a handler from the event for all elements which match the current selector, now or in the future, based upon a specific set of root elements.
+        ///     &#10;1 - undelegate() 
+        ///     &#10;2 - undelegate(selector, eventType) 
+        ///     &#10;3 - undelegate(selector, eventType, handler)
+        /// </summary>
+        /// <param name="selector" type="String">
+        ///     A selector which will be used to filter the event results.
+        /// </param>
+        /// <param name="types" type="String">
+        ///     A string containing a JavaScript event type, such as "click" or "keydown"
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute at the time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (arguments.length === 0) {
+            return this.unbind("live");
+
+        } else {
+            return this.die(types, null, fn, selector);
+        }
+    };
+    jQuery.prototype.unload = function (data, fn) {
+        /// <summary>
+        ///     Bind an event handler to the "unload" JavaScript event.
+        ///     &#10;1 - unload(handler(eventObject)) 
+        ///     &#10;2 - unload(eventData, handler(eventObject))
+        /// </summary>
+        /// <param name="data" type="Object">
+        ///     A map of data that will be passed to the event handler.
+        /// </param>
+        /// <param name="fn" type="Function">
+        ///     A function to execute each time the event is triggered.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (fn == null) {
+            fn = data;
+            data = null;
+        }
+
+        return arguments.length > 0 ?
+			this.bind(name, data, fn) :
+			this.trigger(name);
+    };
+    jQuery.prototype.unwrap = function () {
+        /// <summary>
+        ///     Remove the parents of the set of matched elements from the DOM, leaving the matched elements in their place.
+        /// </summary>
+        /// <returns type="jQuery" />
+
+        return this.parent().each(function () {
+            if (!jQuery.nodeName(this, "body")) {
+                jQuery(this).replaceWith(this.childNodes);
+            }
+        }).end();
+    };
+    jQuery.prototype.val = function (value) {
+        /// <summary>
+        ///     1: Get the current value of the first element in the set of matched elements.
+        ///     &#10;    1.1 - val()
+        ///     &#10;2: Set the value of each element in the set of matched elements.
+        ///     &#10;    2.1 - val(value) 
+        ///     &#10;    2.2 - val(function(index, value))
+        /// </summary>
+        /// <param name="value" type="String">
+        ///     A string of text or an array of strings corresponding to the value of each matched element to set as selected/checked.
+        /// </param>
+        /// <returns type="jQuery" />
+
+        if (!arguments.length) {
+            var elem = this[0];
+
+            if (elem) {
+                if (jQuery.nodeName(elem, "option")) {
+                    // attributes.value is undefined in Blackberry 4.7 but
+                    // uses .value. See #6932
+                    var val = elem.attributes.value;
+                    return !val || val.specified ? elem.value : elem.text;
+                }
+
+                // We need to handle select boxes special
+                if (jQuery.nodeName(elem, "select")) {
+                    var index = elem.selectedIndex,
+						values = [],
+						options = elem.options,
+						one = elem.type === "select-one";
+
+                    // Nothing was selected
+                    if (index < 0) {
+                        return null;
+                    }
+
+                    // Loop through all the selected options
+                    for (var i = one ? index : 0, max = one ? index + 1 : options.length; i < max; i++) {
+                        var option = options[i];
+
+                        // Don't return options that are disabled or in a disabled optgroup
+                        if (option.selected && (jQuery.support.optDisabled ? !option.disabled : option.getAttribute("disabled") === null) &&
+								(!option.parentNode.disabled || !jQuery.nodeName(option.parentNode, "optgroup"))) {
+
+                            // Get the specific value for the option
+                            value = jQuery(option).val();
+
+                            // We don't need an array for one selects
+                            if (one) {
+                                return value;
+                            }
+
+                            // Multi-Selects return an array
+                            values.push(value);
+                        }
+                    }
+
+                    // Fixes Bug #2551 -- select.val() broken in IE after form.reset()
+                    if (one && !values.length && options.length) {
+                        return jQuery(options[index]).val();
+                    }
+
+                    return values;
+                }
+
+                // Handle the case where in Webkit "" is returned instead of "on" if a value isn't specified
+                if (rradiocheck.test(elem.type) && !jQuery.support.checkOn) {
+                    return elem.getAttribute("value") === null ? "on" : elem.value;
+                }
+
+                // Everything else, we just grab the value
+                return (elem.value || "").replace(rreturn, "");
+
+            }
+
+            return undefined;
+        }
+
+        var isFunction = jQuery.isFunction(value);
+
+        return this.each(function (i) {
+            var self = jQuery(this), val = value;
+
+            if (this.nodeType !== 1) {
+                return;
+            }
+
+            if (isFunction) {
+                val = value.call(this, i, self.val());
+            }
+
+            // Treat null/undefined as ""; convert numbers to string
+            if (val == null) {
+                val = "";
+            } else if (typeof val === "number") {
+                val += "";
+            } else if (jQuery.isArray(val)) {
+                val = jQuery.map(val, function (value) {
+                    return value == null ? "" : value + "";
+                });
+            }
+
+            if (jQuery.isArray(val) && rradiocheck.test(this.type)) {
+                this.checked = jQuery.inArray(self.val(), val) >= 0;
+
+            } else if (jQuery.nodeName(this, "select")) {
+                var values = jQuery.makeArray(val);
+
+                jQuery("option", this).each(function () {
+                    this.selected = jQuery.inArray(jQuery(this).val(), values) >= 0;
+                });
+
+                if (!values.length) {
+                    this.selectedIndex = -1;
+                }
+
+            } else {
+                this.value = val;
+            }
+        });
+    };
+    jQuery.prototype.width = function (size) {
+        /// <summary>
+        ///     1: Get the current computed width for the first element in the set of matched elements.
+        ///     &#10;    1.1 - width()
+        ///     &#10;2: Set the CSS width of each element in the set of matched elements.
+        ///     &#10;    2.1 - width(value) 
+        ///     &#10;    2.2 - width(function(index, width))
+        /// </summary>
+        /// <param name="size" type="Number">
+        ///     An integer representing the number of pixels, or an integer along with an optional unit of measure appended (as a string).
+        /// </param>
+        /// <returns type="jQuery" />
+
+        // Get window width or height
+        var elem = this[0];
+        if (!elem) {
+            return size == null ? null : this;
+        }
+
+        if (jQuery.isFunction(size)) {
+            return this.each(function (i) {
+                var self = jQuery(this);
+                self[type](size.call(this, i, self[type]()));
+            });
+        }
+
+        if (jQuery.isWindow(elem)) {
+            // Everyone else use document.documentElement or document.body depending on Quirks vs Standards mode
+            // 3rd condition allows Nokia support, as it supports the docElem prop but not CSS1Compat
+            var docElemProp = elem.document.documentElement["client" + name];
+            return elem.document.compatMode === "CSS1Compat" && docElemProp ||
+				elem.document.body["client" + name] || docElemProp;
+
+            // Get document width or height
+        } else if (elem.nodeType === 9) {
+            // Either scroll[Width/Height] or offset[Width/Height], whichever is greater
+            return Math.max(
 				elem.documentElement["client" + name],
 				elem.body["scroll" + name], elem.documentElement["scroll" + name],
